> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

#     Get Inventory


GET https://api.shipbob.com/2025-07/inventory/{inventoryId}

Reference: https://developer.shipbob.com/2025-07/api/inventory/get-inventory

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Path parameters

- `inventoryId` (string, required)

## Response

### 200

OK

- `barcode` (string, optional, nullable)
- `dimensions` (object, optional)
  - `height` (double, optional)
  - `is_locked` (boolean, optional)
  - `length` (double, optional)
  - `unit` (string, optional, nullable)
  - `validated` (boolean, optional)
  - `width` (double, optional)
- `inventory_id` (integer, optional)
- `is_case` (boolean, optional)
- `is_lot` (boolean, optional)
- `name` (string, optional, nullable)
- `sku` (string, optional, nullable)
- `user_id` (integer, optional)
- `variant` (object, optional)
  - `hazmat` (object, optional)
    - `is_hazmat` (boolean, optional)
    - `validated` (boolean, optional)
  - `is_active` (boolean, optional)
  - `is_bundle` (boolean, optional)
  - `is_digital` (boolean, optional)
- `weight` (object, optional)
  - `unit` (string, optional, nullable)
  - `value` (double, optional)

## Examples

**Response**

```json
{
  "barcode": "string",
  "dimensions": {
    "height": 0.1,
    "is_locked": true,
    "length": 0.1,
    "unit": "string",
    "validated": true,
    "width": 0.1
  },
  "inventory_id": 0,
  "is_case": true,
  "is_lot": true,
  "name": "string",
  "sku": "string",
  "user_id": 0,
  "variant": {
    "hazmat": {
      "is_hazmat": true,
      "validated": true
    },
    "is_active": true,
    "is_bundle": true,
    "is_digital": true
  },
  "weight": {
    "unit": "string",
    "value": 0.1
  }
}
```

**SDK Code**

```python Inventory_getInventory_example
import requests

url = "https://api.shipbob.com/2025-07/inventory/inventoryId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Inventory_getInventory_example
const url = 'https://api.shipbob.com/2025-07/inventory/inventoryId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Inventory_getInventory_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2025-07/inventory/inventoryId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Inventory_getInventory_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2025-07/inventory/inventoryId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Inventory_getInventory_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2025-07/inventory/inventoryId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Inventory_getInventory_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2025-07/inventory/inventoryId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Inventory_getInventory_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2025-07/inventory/inventoryId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Inventory_getInventory_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/inventory/inventoryId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```